2013年6月13日 星期四

Eclipse 安裝 WindowBuilder 時出現錯誤訊息



Eclipse 安裝 WindowBuilder 時出現錯誤訊息




--
環境:

  • Eclipse4.2 (Juno)
  • WindowBuilder
    • http://download.eclipse.org/windowbuilder/WB/release/R201302221200/3.8/
    • http://download.eclipse.org/windowbuilder/WB/release/R201209281200/4.2/


--
出現錯誤訊息:


Your original request has been modified.
  "WindowBuilder Core" is already present because other installed software requires it.
It will be added to the installed software list.
  "WindowBuilder GroupLayout Support" is already present because other installed software requires it.
It will be added to the installed software list.
  "WindowBuilder Core Documentation" is already present because other installed software requires it.
It will be added to the installed software list.
  "WindowBuilder Core UI" is already present because other installed software requires it.
It will be added to the installed software list.
  "WindowBuilder Java Core" is already present because other installed software requires it.
It will be added to the installed software list.

Cannot complete the install because one or more required items could not be found.
  Software being installed: SWT Designer XWT Support (requires Eclipse WTP/WST)
  1.5.2.r38x201302112106 (org.eclipse.wb.xwt.feature.feature.group 1.5.2.r38x201302112106)
  Missing requirement: WindowBuilder Core for XML GUI's 1.5.2.r38x201302111919
  (org.eclipse.wb.core.xml 1.5.2.r38x201302111919)
requires 'bundle org.eclipse.wst.sse.core 0.0.0' but it could not be found

Cannot satisfy dependency:
    From: XWT Databinding Support 1.5.2.r38x201302112106
    (org.eclipse.wb.rcp.databinding.xwt 1.5.2.r38x201302112106)
    To: bundle org.eclipse.wb.core.xml 0.0.0

Cannot satisfy dependency:
    From: SWT Designer XWT Support (requires Eclipse WTP/WST) 1.5.2.r38x201302112106
   (org.eclipse.wb.xwt.feature.feature.group 1.5.2.r38x201302112106)
    To: org.eclipse.wb.rcp.databinding.xwt [1.5.2.r38x201302112106]

--
解決方案:

  1. 先裝重新安裝一個無中文化的純淨版本
  2. 再來裝WindowBuilder
  3. OK

熱門文章